!****************************************************************************
!
!	SCIATRAN - Version 4.2 - Last modification: 11 Oct 2019
!
!	Copyright (C) - Institute of Remote Sensing,
!			University of Bremen, Germany
!
!****************************************************************************
SUBROUTINE APPLY_CORR(I_DS, JSEG, J_S, J_E, I_L, NP, L_P, LCD, CRS, PP_DAT, &
      SHI_SQU_PAR, *)
  ! Call in "preprocessing.f"

  USE DATA_RET,   ONLY: MDS, PRESET_APR_NAME
  USE INFO,       ONLY: WF_DB
  USE SPHER_PARS, ONLY: N_LOS_OUT
  USE TYPES,      ONLY: KND, PREPROC_DATA, LOCAL_DATA, CORR_SPEC

  INTEGER  I_DS, JSEG, J_S, J_E, I_L, NP, L_P
  TYPE (CORR_SPEC), TARGET :: CRS
  TYPE (PREPROC_DATA) PP_DAT
  TYPE (LOCAL_DATA) LCD
  REAL (KND) SHI_SQU_PAR(2,CRS%N_CRS + 2) 
  ! Local parameters
  CHARACTER (LEN = *), PARAMETER :: R_NAME = 'APPLY_CORR'
  INTEGER  J, L, II, NDS, I, I1, I2, I3, NN
  REAL (KND) F_SS(NP), TMP_1(NP - 2*L_P), TMP_IN(NP), TMP_IN1(NP)
  REAL (KND), TARGET  :: EXP_RET_LOC(NP)
  REAL (KND), POINTER :: EXP_RET_NEW(:), RING_NEW(:,:)
  !==================================================================

  CALL ST_TRACK (R_NAME, 2, 'I')
  CALL WRITE_MESSAGE (R_NAME, 'ERROR', 'This routine is not a part ' &
  //'of the freely distributed software package')
 
  STOP
  RETURN
END SUBROUTINE APPLY_CORR
