C********************************************************************C
C
C	SCIATRAN - Version 2.2 - Last modification: 25 Sep 2006
C
C	Copyright (C) - Institute of Remote Sensing,
C			University of Bremen, Germany
C
C********************************************************************C
      Subroutine GT_LEGEN ( MH, NP, NSTRMS )

      CHARACTER (LEN = 8), PARAMETER :: ROUTINE_NAME = 'GT_LEGEN'

C     Subroutine arguments:
C     =====================
      INTEGER           MH, NP, NSTRMS, MH1, SIGN_M

      MH1 = MH - 1
      SIGN_M = (1 - 2*MODULO(MH1,2))

      RETURN
      END
cC********************************************************************C
c      SUBROUTINE WIGNER_PLG( XM, NS, M, NLEG, RES )
c      Implicit none
cc     Input variables
cc     ---------------
c      INTEGER          NS,M,NLEG
c      DOUBLE PRECISION XM(NS)
cc     Output varable
cc     ---------------
c      DOUBLE PRECISION RES(NLEG,NS)
cc     Local variables
cc     ---------------
c      INTEGER          I, L
c      DOUBLE PRECISION MFAC 
c      DOUBLE PRECISION HM(NS)
c      IF( M .EQ. 0 ) THEN
c         RES(1,:) = 1.0d0 ; RES(2,:) = XM(:)
c         DO L = 2,NLEG - 1
c            RES(L+1,:) =  ((2*L-1)*XM(:)*RES(L,:) - (L-1)*RES(L-1,:))/L
c         ENDDO
c         RETURN
c      ENDIF
c      RES(1:M,:) = 0.0d0 ; MFAC = 1.d0 
c      DO I = 1,M ; MFAC = MFAC*(M+I)/I ; ENDDO       
c      HM(:) = DSQRT( (1.0d0 - XM(:))*(1.0d0 + XM(:)) )/2.0d0
cc     ... Without (-1)**M as has been used by Siewert
c      RES(M+1,:) = DSQRT(MFAC)*HM(:)**M 
c      DO L = M+1,NLEG - 1
c         RES(L+1,:) = ( (2*L-1)*XM(:)*RES(L,:) 
c     $        - DSQRT(DBLE((L-1-M)*(L-1+M)))*RES(L-1,:) )
c     $        /DSQRT(DBLE((L-M)*(L+M)))
c      ENDDO
c
c      RETURN
c      END
cc ****************************************************************
