!***************************************************************************
!
!       SCIATRAN - Version 4.2 - Last modification: 11 Oct 2019
!
!       Copyright (C) - Institute of Remote Sensing,
!                       University of Bremen, Germany
!
!***************************************************************************
SUBROUTINE PREPARE_CRS (I_DS, JSEG, J_S, J_E, NP, I_L, LCD, CRS)
! Called by "preprocessing.f"
      
  USE DATA_RET,   ONLY: CORR_SP, MDS
  USE INFO,       ONLY: RET_INFO, STATE
  USE TYPES,      ONLY: KND, LOCAL_DATA, CORR_SPEC

  INTEGER     I_DS, JSEG, J_S, J_E, NP, I_L
  TYPE (LOCAL_DATA), TARGET :: LCD
  TYPE (CORR_SPEC), TARGET :: CRS
  ! Local variables
  CHARACTER (LEN = *), PARAMETER :: R_NAME = 'PREPARE_CRS'      
  INTEGER     I, LL
  !==================================================================
  CALL ST_TRACK (R_NAME, 2, 'I')
  CALL WRITE_MESSAGE (R_NAME, 'ERROR', 'This routine is not a part ' &
  //'of the freely distributed software package')
 
  STOP
  RETURN
END SUBROUTINE PREPARE_CRS
