C***********************************************************************
C
C	SCIATRAN - Version 4.2 - Last modification: 06 Nov 2020
C
C	Copyright (C) - Institute of Remote Sensing,
C		        University of Bremen, Germany
C
C********************************************************************C
      SUBROUTINE PREPROCESSING(N_PAR, NSEGS, PP_DAT, RMS_NEW, N_X, 
     $     XDIFF, N_pix, *)
c     ... Call in "retrieval.f90"

      USE AER_MIE,    ONLY: T_550
      USE DATA_RET,   ONLY: PRESET_APR_NAME, CORR_SP, MDS, LP_Mode
      USE INFO,       ONLY: RET_INFO, STATE
      USE GRIDS,      ONLY: NLAYERS 
      USE LOG_PARS,   ONLY: LUNIT, LOG_LEVEL, N_ESO, DIR_OUT
      USE SPHER_PARS, ONLY: NLO => N_LOS_OUT
      USE ST_VARS,    ONLY: RET_MODE, WL_SEGS, MSK_RTM
      USE TYPES,      ONLY: KND, PREPROC_DATA, LOCAL_DATA, CORR_SPEC
c     ------------------------------------------------------------------

      INTEGER  N_PAR, N_X, NSEGS, NR, N_pix, I_RI
      REAL (KND) RMS_NEW, XDIFF(N_X)
      TYPE (PREPROC_DATA) PP_DAT(SIZE(MDS),NLO)
c     ... Local parameters
      CHARACTER (LEN = *), PARAMETER :: R_NAME = 'PREPROCESSING'
      INTEGER  JSEG, NP_NEW, NP, J_S, J_E, L_P, NP_FIT, I, R_L, 
     $     I_L, J, K, KK, NDS, II, I_DS, NP_S, NE_PRE
      LOGICAL  POL_FLG
      LOGICAL  INDEX(N_PAR), IDX_LS(NLO)
      LOGICAL, ALLOCATABLE :: OUTLIER_MASK(:), TMP_FLAG(:)     
      REAL (KND)  SHI_MAX, STEP 
      REAL (KND)  AMP_PAR(N_PAR, NLO), RMS(NLO)
      REAL (KND), ALLOCATABLE :: GR_PAR(:,:), WIDE_SHI(:,:), 
     $     SS_PARS(:,:), TMP(:)
      REAL (KND), POINTER :: WL(:), WL_NEW(:)

      TYPE (LOCAL_DATA), TARGET :: LCD
      TYPE (CORR_SPEC), TARGET :: CRS
c     ==================================================================
      CALL ST_TRACK (R_NAME, 2, 'I')
      CALL WRITE_MESSAGE (R_NAME, 'ERROR', 'This routine is not a part '
     $     //'of the freely distributed software package')
 
      STOP
      RETURN
      END
