C********************************************************************C
C
C	SCIATRAN - Version 4.2 - Last modification: 07 Apr 2020
C
C	Copyright (C) - Institute of Remote Sensing,
C			University of Bremen, Germany
C
C********************************************************************C
      SUBROUTINE RETRIEVAL_RESULTS_CTH(RMS_SAVE, RMS_NEW, 
     $     NEXT_ITERATION, NEW_ALT_GRID, N_PAR, *)
c     ... Call in "retrieval.f"

      USE CLOUDS_RETR, ONLY: D_CTH, D_GT, RET_STATUS, RET_QUALITY,
     $                       CTH_CRIT
      USE CLOUDS,      ONLY: CLD_LAYER_HEIGHTS
      USE DATA_RET,    ONLY: ITERATIONS_LIMIT 
      USE LOG_PARS,    ONLY: EU, LUNIT
      USE RETR_ITER,   ONLY: ITERATION
      USE TYPE_VARS,   ONLY: KND
c     ------------------------------------------------------------------

      INTEGER  N_PAR
      LOGICAL  NEXT_ITERATION, NEW_ALT_GRID
      REAL (KND) RMS_SAVE, RMS_NEW
c     ... Local parameters
      CHARACTER (LEN = *), PARAMETER :: R_NAME = 'RETRIEVAL_RESULTS_CTH'
      REAL (KND) D_PAR
c     ==================================================================

      CALL ST_TRACK (R_NAME, 2, 'I')
      CALL WRITE_MESSAGE (R_NAME, 'ERROR', 'This routine is not a part '
     $     //'of the freely distributed software package')
 
      STOP
      RETURN
      END
