C********************************************************************C
C
C	SCIATRAN - Version 3.4 - Last modification: 14 May 2014
C
C	Copyright (C) - Institute of Remote Sensing,
C			University of Bremen, Germany
C
C********************************************************************C

      SUBROUTINE SCIA_MOD_READ (NSPEC, SPEC_OUT, N_LOS_OUT)
!     Called by rtm_main.f

      USE GAS_CONTROL ; USE LOG_CONTROL; 
      USE DATA_RET,   ONLY: MOD_DIR
      USE INFO,       ONLY: WF_DB, TG_INFO

      INTEGER             N_LOS_OUT, NSPEC, IDX_PAR, II
      DOUBLE PRECISION    SPEC_OUT(NSPEC,1,N_LOS_OUT)
      
      IF(DO_LOGFILE) WRITE(LUNIT,*) ' *** Reading: '//
     $     TRIM(MOD_DIR)//'profiles_unformatted.dat'
      OPEN(C_UNIT, FILE=TRIM(MOD_DIR)//'profiles_unformatted.dat', 
     $     STATUS = 'OLD', FORM='UNFORMATTED')
      DO II = 1, UBOUND(TG_INFO,1)
         IF(.NOT.TG_INFO(II)%FM_FLG) CYCLE
         WRITE(C_UNIT) TG_INFO(II)%ND
      END DO
      CLOSE(C_UNIT)

c      WRITE(*,*) ' NSPEC     = ', NSPEC
c      WRITE(*,*) ' N_LOS_OUT = ', N_LOS_OUT
      IF(DO_LOGFILE) WRITE(LUNIT,*) ' *** Reading: '//
     $     TRIM(MOD_DIR)//'intensity_unformatted.dat'
      OPEN(C_UNIT, FILE=TRIM(MOD_DIR)//'intensity_unformatted.dat', 
     $     STATUS = 'OLD', FORM='UNFORMATTED')
      READ(C_UNIT) SPEC_OUT
      CLOSE(C_UNIT)

c      WRITE(*,*) ' Test intensity ', SHAPE( SPEC_OUT)
c      DO I = 1, NSPEC
c         WRITE(*,*) I, SPEC_OUT(I,1,1)
c      ENDDO

      DO IDX_PAR = 1, UBOUND(WF_DB,1)
         IF(DO_LOGFILE) WRITE(LUNIT,*) ' *** Reading: '//TRIM(MOD_DIR)
     $        //'wf_'//TRIM(WF_DB(IDX_PAR)%NAME)//'_unformatted.dat' 
         OPEN(C_UNIT, FILE = TRIM(MOD_DIR)//'wf_'//
     $        TRIM(WF_DB(IDX_PAR)%NAME)//'_unformatted.dat', 
     $        STATUS = 'OLD', FORM='UNFORMATTED')
         READ(C_UNIT) WF_DB(IDX_PAR)%WF(1:NSPEC,:,:,1)
         CLOSE(C_UNIT)
      END DO

      RETURN
      END

c ***********************************************************************
