C***********************************************************************
C
C	SCIATRAN - Version 3.0 - Last modification: 16 Jan 2008
C     
C     This is a dummy code to replace the shi_squ.f if the GALAHAD
C     Quadratic Programming library in not installed
C***********************************************************************
      SUBROUTINE SHI_SQU (W_F, N_CEN, N_PAR, RAD, RIN, SOL_S, ERD_S,
     $     WIDE_SHI, GR_P, WL, AMP_RIN, IW, POL_MODE, ER_SCA, 
     $     AMP_PAR, LOST_POINT, JTH, INDEX, NUR, MATRIX, VDM, SQU_FLAG, 
     $     N_RIN, SQ_RTB, SHI_SQU_PAR, RING_MODE)
 
      USE LOG_CONTROL, ONLY: DIR_OUT, N_ESO, N_SSO, N_DSO, LUNIT

      INTEGER           LOST_POINT, N_CEN, N_PAR, N_RIN, VDM
      INTEGER           JTH, IW, NUR

      CHARACTER (LEN=1) RING_MODE(N_RIN)

      LOGICAL           POL_MODE
      LOGICAL           SQU_FLAG(3), INDEX(N_PAR)

      DOUBLE PRECISION, DIMENSION (N_CEN) :: SOL_S, ERD_S, RAD, WL  
      DOUBLE PRECISION, DIMENSION (NUR)   :: ER_SCA
      DOUBLE PRECISION  W_F(N_CEN,N_PAR), SHI_SQU_PAR(2,N_RIN + 2)
      DOUBLE PRECISION  GR_P(2,N_PAR + N_RIN)
      DOUBLE PRECISION  WIDE_SHI(2,N_RIN + 2), AMP_PAR(N_PAR)
      DOUBLE PRECISION  RIN(N_CEN,MAX(1,N_RIN)), MATRIX(VDM,VDM)
      DOUBLE PRECISION  AMP_RIN(MAX(1,N_RIN))
      DOUBLE PRECISION  SQ_RTB

      WRITE(LUNIT,*) 'This mode requires the GALAHAD Quadratic '
     $     //'Programming library, please refer to' 
     $    //'http://galahad.rl.ac.uk/galahad-www/'
      CALL WRITE_MESSAGE('SHI_SQU', 'ERROR',
     $     'This mode requires the GALAHAD Quadratic '
     $     //'Programming library, please refer to ' 
     $     //'http://galahad.rl.ac.uk/galahad-www/')

      STOP 
      RETURN
      END
C ************************************************************************
