C********************************************************************C
C
C	SCIATRAN - Version 3.5 - Last modification: 05 Feb 2015
C
C	Copyright (C) - Institute of Remote Sensing,
C			University of Bremen, Germany
C
C********************************************************************C

      subroutine write_message (routine_name, stat, message)

      USE LOG_PARS, ONLY: EU, WARN_FLAG
      USE TOOLS,    ONLY: UPPER_LOWER_CASE

c     Writes error or warning messages
      CHARACTER (LEN=*) STAT, ROUTINE_NAME, MESSAGE 
      character (LEN=:), ALLOCATABLE :: STATUS

      STATUS = STAT
      CALL UPPER_LOWER_CASE (STATUS,'L2U')
      SELECT CASE (STATUS)
      CASE ('E')
         STATUS = 'ERROR'
      CASE ('W')
         STATUS = 'WARNING'
      END SELECT
         
      IF(TRIM(STATUS) == 'WARNING') WARN_FLAG = .TRUE.

      write(eu,'(A)') ' *** '//status//' in '//routine_name//
     &                   ': '//message

      return

      end
C********************************************************************C
