C**********************************************************************
C
C	SCIATRAN - Version 2.2 - Last modification: 08 Jan 2008
C
C	Copyright (C) 1995-1998, Institute of Remote Sensing,
C			         University of Bremen, Germany
C
C**********************************************************************
      SUBROUTINE CONSTRAIN_INVERT   (N_RET, IRET, N_DATA, EVAL, 
     $     A_NO, TERMB, S_Y, KN, EVEC, BETA_CONSTRAIN, CONSTR_ARR)

      USE TYPE_VARS,   ONLY: KND

      CHARACTER (LEN = *), PARAMETER :: R_NAME = 'CONSTRAIN_INVERT'
      LOGICAL              COLD, LP, ORTHOG

      INTEGER              ITMAX, MSGLVL, NCTOTL, LWORK, IFAIL, I, ITER
      INTEGER  N_RET, IRET, N_DATA
      INTEGER              NCLIN, IWORK(2*IRET)

      REAL (KND) EVAL(N_RET), A_NO(IRET), TERMB(N_DATA), S_Y(N_DATA), 
     $     KN(N_DATA,N_RET), EVEC(N_RET,IRET), BETA_CONSTRAIN(IRET),
     $     CONSTR_ARR(2,N_RET), TTT(N_DATA)
      DOUBLE PRECISION     HESS(IRET,IRET), CVEC(IRET)!, NORM(IRET)

      INTEGER, ALLOCATABLE :: ISTATE(:)
      DOUBLE PRECISION, ALLOCATABLE :: FEATOL(:), CLAMDA(:), WORK(:) 
      DOUBLE PRECISION, ALLOCATABLE :: BL(:), BU(:), A_GR(:,:)
      DOUBLE PRECISION     BIGBND, OBJ

      EXTERNAL QPHESS
      CALL WRITE_MESSAGE (R_NAME, 'ERROR', 'This routine is not a part '
     $     //'of the freely distributed software package')
 
      STOP
      RETURN
      END
