C***********************************************************************
C     This is a dummy code to replace the constrain_invert.f if the 
C     GALAHAD Quadratic Programming library in not installed
C***********************************************************************
c      SUBROUTINE CONSTRAIN_INVERT  
c      USE LOG_CONTROL, ONLY : LUNIT
c
c      WRITE(LUNIT,*) 'You need the NAG FORTRAN Library (commercial) '//
c     $     'to use this feature  !'
c      CALL WRITE_MESSAGE('CONSTRAIN_INVERT', 'ERROR',
c     $     'You need the NAG FORTRAN Library (commercial) '//
c     $     'to use this feature  !')
c      STOP
c
c      END SUBROUTINE

C********************************************************************C
      SUBROUTINE CONSTRAIN_INVERT_GALAHAD  (N_RET, IRET, N_DATA, EVAL, 
     $     A_NO, TERMB, S_Y, KN, EVEC, BETA_CONSTRAIN)
      USE LOG_CONTROL, ONLY : LUNIT
      USE TYPE_VARS,   ONLY: KND
      INTEGER  N_RET, IRET, N_DATA
      INTEGER  NCLIN, I, J, ISTAT
      REAL (KND) EVAL(N_RET), A_NO(IRET), TERMB(N_DATA), S_Y(N_DATA), 
     $     KN(N_DATA,N_RET), EVEC(N_RET,IRET), BETA_CONSTRAIN(IRET)

      WRITE(LUNIT,*) 'This mode requires the GALAHAD Quadratic '
     $     //'Programming library, please refer to' 
     $     //'http://galahad.rl.ac.uk/galahad-www/'
      CALL WRITE_MESSAGE('CONSTRAIN_INVERT', 'ERROR',
     $     'This mode requires the GALAHAD Quadratic '
     $     //'Programming library, please refer to' 
     $     //'http://galahad.rl.ac.uk/galahad-www/')
      STOP 

      END SUBROUTINE
C**********************************************************************

