!*********************************************************************
!
!	SCIATRAN - Version 4.1 - Last modification: 12 Apr 2019
!
!	Copyright (C) - Institute of Remote Sensing,
!			University of Bremen, Germany
!
!*********************************************************************
Subroutine Generate_X (XVec)
  ! Called by "retrieval.f90"
      
  USE DATA_RET,  ONLY: PRESET_APR_NAME
  USE GRIDS,     ONLY: ZZZ
  USE INFO,      ONLY: STATE, RET_INFO
  USE OutInf,    ONLY: DIR_OUT
  Use Tools,     Only: OpenOut, WriteOut, CloseOut
  USE ST_VARS,   ONLY: TP_HEIGHT
  USE TYPES,     ONLY: KND, XVecType
  !------------------------------------------------------------------
  Type (XVecType), Allocatable :: XVec(:)

  ! Local parameters
  CHARACTER (LEN = *), PARAMETER :: R_NAME = 'Generate_X'
  Character (Len=500)  OutStr
  INTEGER  N_X, K, LL, I_S, I_E, II, I_SBP, I_RI, LL_S, LL_E, I_ST, Unt
  REAL (KND), POINTER :: STATE_PTR(:)
  !==================================================================
  CALL ST_TRACK (R_NAME, 2, 'I')
  CALL WRITE_MESSAGE (R_NAME, 'ERROR', 'This routine is not a part ' &
  //'of the freely distributed software package')
 
  STOP
  RETURN
END SUBROUTINE GENERATE_X
