C********************************************************************C
C
C	SCIATRAN - Version 4.2 - Last modification: 07 Oct 2019
C
C	Copyright (C) 1995-2014, Institute of Remote Sensing,
C			         University of Bremen, Germany
C
C********************************************************************C
      SUBROUTINE RET_OUTPUT (NEXT_ITERATION, *)

      USE DATA_RET,  ONLY: CRIT_PAR, MAIN_GAS, Z_CU, Z_CL
      USE INFO,      ONLY: RET_INFO, STATE
      USE GRIDS,     ONLY: NLAYERS, ZZZ
      USE OutInf,    ONLY: LUNIT, C_UNIT, DIR_OUT, EU, WrtRetPrf
      USE PROFILES,  ONLY: TEMP, PRESS
      USE RETR_ITER, ONLY: ITERATION
      USE ST_VARS,   ONLY: FP, SMKM
      USE TOOLS,     ONLY: UPPER_LOWER_CASE
      USE TYPE_VARS, ONLY: KND

      LOGICAL     NEXT_ITERATION
! Local variables:
      CHARACTER (LEN = *), PARAMETER :: R_NAME = 'RET_OUTPUT'
      INTEGER     N_PAR, N_GAS, II, I, JJ, KK, KKK, K, I_SBP
      LOGICAL     MASK(NLAYERS)
      LOGICAL, ALLOCATABLE :: MASK_ALL(:,:)
      CHARACTER (LEN = :), ALLOCATABLE :: NAMES, FLAGS
      REAL (KND), ALLOCATABLE :: TOTAL_COL(:), TOTAL_COL_ORIG(:), 
     $     OUT_TMP(:,:)
      REAL (KND)  FACTOR

c     ==================================================================

      CALL ST_TRACK (R_NAME, 2, 'I')
      CALL WRITE_MESSAGE (R_NAME, 'ERROR', 'This routine is not a part '
     $     //'of the freely distributed software package')
 
      STOP
      RETURN
      END
