C***********************************************************************C
C
C       SCIATRAN - Version 3.1 - Last modification: 16 Jan 2012
C
C       Copyright (C) - Institute of Remote Sensing,
C                       University of Bremen, Germany
C
C***********************************************************************C
      SUBROUTINE WRITE_MSG(ROUTINE_NAME, STATUS, MESSAGE, NM, *)

      USE LOG_CONTROL, ONLY : ERRORUNIT, WARN_FLAG
c     ------------------------------------------------------------------
c     ... Writes error or warning messages
      INTEGER, INTENT(IN):: NM
      CHARACTER(LEN=*) STATUS, ROUTINE_NAME, MESSAGE(NM)
c     ... Local variables
      INTEGER I
c     ==================================================================
      IF( TRIM(STATUS)=='WARNING' ) WARN_FLAG = .TRUE.

      WRITE(ERRORUNIT,'(A)') ' *** '//STATUS//' IN '//ROUTINE_NAME//': '
      DO I = 1,NM
         WRITE(ERRORUNIT,'(4x,A)') TRIM(MESSAGE(I)) 
      ENDDO

      IF( TRIM(STATUS)=='ERROR' ) RETURN 1

      RETURN
      END
C***********************************************************************C
