!****************************************************************************
!
!	SCIATRAN - Version 4.0 - Last modification: 20 Jul 2018
!
!	Copyright (C) - Institute of Remote Sensing,
!			University of Bremen, Germany
!
!****************************************************************************
SUBROUTINE WRITE_RET_OUT( FLG_OSC )
  USE GRIDS,     ONLY: ZZZ
  USE INFO,      ONLY: RET_INFO, STATE
  USE LOG_PARS,  ONLY: DIR_OUT, LOG_LEVEL, N_ESO, N_SSO, LUNIT, N_DSO
  USE PROFILES,  ONLY: AIR_DENSITY, PRESS, TEMP
  USE RETR_ITER, ONLY: ITR => ITERATION, RMS_ALL, SCAL_APR
  USE RTM_PARS,  ONLY: RTM_ST, DATA_ITER
  USE ST_VARS,   ONLY: FP, SMKM
  USE TOOLS,     ONLY: SET_PTR, OpenOut, WriteOut, CloseOut 
  USE TYPES,     ONLY: KND
  LOGICAL FLG_OSC
  ! Local parameters
  CHARACTER (LEN = *), PARAMETER :: R_NAME = 'WRITE_RET_OUT'
  Character (Len=500)  OutStr
  Character (Len=:), Allocatable :: TmpStr
  INTEGER  CU, I_RI, N_PAR, JJ, I_SBP, I_PAR, Unt, ITR_SEL
  REAL (KND)  F_1, F_2
  TYPE (DATA_ITER), POINTER :: RTM_PTR
  !==================================================================

  CALL ST_TRACK (R_NAME, 2, 'I')
  CALL WRITE_MESSAGE (R_NAME, 'ERROR', 'This routine is not a part ' &
  //'of the freely distributed software package')
 
  STOP
  RETURN
END SUBROUTINE WRITE_RET_OUT
